TEMPLATE = lib
CONFIG += libuc2lib

include(CMSIS/CMSIS.pri)
include(USB/USB.pri)
include(STM32F4xx_StdPeriph_Driver/STM32F4xx_StdPeriph_Driver.pri)

UCMODEL=stm32f4

FILESTOCOPY.files = cpu.pri stm32f4.ld stm32f42.ld crt0.s cpuinit.c fs.c syscalls.c
FILESTOCOPY.path = $$[QT_INSTALL_PREFIX]/mkspecs/features/$$UCMODEL


INCLUDEPATH += \
	STM32F4xx_StdPeriph_Driver/inc \
	CMSIS/Include

SOURCES += cpu.c

OTHER_FILES += cpu.pri \
                 stm32f4.ld \
                 stm32f42.ld \
                 crt0.s \
                 cpuinit.c \
                 fs.c \
                 syscalls.c












